Package org.kie.internal.jaxb

## Class StringKeyObjectValueEntry

- java.lang.Object
- - org.kie.internal.jaxb.StringKeyObjectValueEntry

-     public class StringKeyObjectValueEntry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringKeyObjectValueEntry()` |
    `StringKeyObjectValueEntry​(java.lang.String key, java.lang.String className, byte[] bytes)` |
    `StringKeyObjectValueEntry​(java.util.Map.Entry<java.lang.String,​java.lang.Object> entry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getBytes()` |
    `java.lang.String` | `getClassName()` |
    `java.lang.String` | `getKey()` |
    `void` | `setClassName​(java.lang.String className)` |
    `void` | `setKey​(java.lang.String key)` |
    `void` | `setValue​(byte[] value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringKeyObjectValueEntry

          public StringKeyObjectValueEntry()

    - #### StringKeyObjectValueEntry

          public StringKeyObjectValueEntry​(java.util.Map.Entry<java.lang.String,​java.lang.Object> entry)

    - #### StringKeyObjectValueEntry

          public StringKeyObjectValueEntry​(java.lang.String key,
                                           java.lang.String className,
                                           byte[] bytes)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey​(java.lang.String key)

    - #### getClassName

          public java.lang.String getClassName()

    - #### setClassName

          public void setClassName​(java.lang.String className)

    - #### getBytes

          public byte[] getBytes()

    - #### setValue

          public void setValue​(byte[] value)